<?xml version="1.0" encoding="utf-8"?>
<codecs>
  <audio>
    <encoder name="LAME MP3">
      <input type="pcm"/>
      <extname>mp3</extname>
      <verinfo key="audioenc.lame.path" arg="--version" end="("/>
      <ifnot test="audioenc.lame.mt">
        <path key="audioenc.lame.path"/>
      </ifnot>
      <if test="audioenc.lame.mt">
        <path key="audioenc.lame.pathMT"/>
        <arg>--nores -x</arg>
      </if>
      <bitrate key="audioenc.lame.bitrate" min="32" max="320"/>
      <ifnot test="audioenc.lame.preset" value="Custom">
        <arg key="audioenc.lame.preset" prefix="--preset">|medium|standard|extreme|phone|voice|tape|hifi|cd|studio|insane</arg>
      </ifnot>
      <if test="audioenc.lame.preset" value="Custom">
        <if test="audioenc.lame.mode" value="VBR">
          <arg>--vbr-new</arg>
          <arg key="audioenc.lame.quality">-V </arg>
          <arg key="audioenc.lame.minBitrate" default="32" prefix="-b"/>
          <arg key="audioenc.lame.maxBitrate" default="320" prefix="-B"/>
        </if>
        <if test="audioenc.lame.mode" value="ABR">
          <arg>--abr $(AudioBitrate)</arg>
        </if>
        <if test="audioenc.lame.mode" value="CBR">
          <arg>--cbr -b $(AudioBitrate)</arg>
        </if>
        <ifnot channels="1">
          <arg key="audioenc.lame.stereo">|-m s|-m j|-m d|-a -m m</arg>
        </ifnot>
      </if>
      <arg key="audioenc.lame.aq" prefix="-q"/>
      <arg key="audioenc.lame.freefmt">--freeformat</arg>
      <arg key="audioenc.lame.copyright">-c</arg>
      <arg key="audioenc.lame.nonOriginal">-o</arg>
      <arg key="audioenc.lame.protect">-p</arg>
      <arg key="audioenc.lame.nores">--nores</arg>
      <arg key="audioenc.lame.iso">--strictly-enforce-ISO</arg>
      <arg key="audioenc.lame.replayGain">--noreplaygain|--replaygain-fast|--replaygain-accurate</arg>
      <arg key="audioenc.lame.id3">--add-id3v2|--id3v1-only|--id3v2-only</arg>
      <arg key="audioenc.lame.lowpass">--lowpass </arg>
      <arg key="audioenc.lame.hipass">--hipass </arg>
      <arg key="audioenc.lame.allfreq">--resample $(SampleRate)</arg>
      <arg key="audioenc.lame.lowbps">-F|</arg>
      <arg key="audioenc.lame.lametag">-t|-T|</arg>
      <arg key="audioenc.lame.options"/>
      <if tagging="true">
        <arg>--ignore-tag-errors --tt "$(Title)" --ta "$(Artist)" --tl "$(Album)" --ty "$(Year)" --tn "$(Track)" --tg "$(Genre)" --tc "$(Comment)"</arg>
      </if>
      <if channels="1">
        <arg>-m m</arg>
      </if>
      <arg>-r -s $(SampleRate) --quiet -</arg>
      <arg>"$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="Vorbis">
      <input type="pcm"/>
      <extname>ogg</extname>
      <verinfo arg="--version" begin="ERROR:" end="*"/>
      <bitrate key="audioenc.vorbis.bitrate" min="32" max="320"/>
      <path key="audioenc.vorbis.path"/>
      <arg>-r -C $(Channels) -R $(SampleRate) -</arg>
      <arg>-o "$(DestFileAudio)" --quiet</arg>
      <arg key="audioenc.vorbis.resample">--resample</arg>
      <arg key="audioenc.vorbis.downmix">--downmix</arg>
      <ifnot test="audioenc.vorbis.minBitrate" value="0">
        <arg key="audioenc.vorbis.minBitrate" prefix="-m"/>
      </ifnot>
      <ifnot test="audioenc.vorbis.maxBitrate" value="0">
        <arg key="audioenc.vorbis.maxBitrate" prefix="-M"/>
      </ifnot>
      <if test="audioenc.vorbis.mode" value="Quality">
        <arg key="audioenc.vorbis.quality" ratio="0.01" prefix="-q"/>
      </if>
      <if test="audioenc.vorbis.mode" value="Bitrate">
        <arg>-b $(AudioBitrate)</arg>
      </if>
      <arg key="audioenc.vorbis.options"/>
      <if tagging="true">
        <arg>-t "$(Title)" -a "$(Artist)" -l "$(Album)" -N "$(Track)" -d "$(Year)" -G "$(Genre)"</arg> 
      </if>
    </encoder>
    <encoder name="3GPP AAC+">
      <input type="pcm"/>
      <path key="audioenc.aac3gpp.path"/>
      <bitrate key="audioenc.aac3gpp.bitrate" min="16" max="256"/>
      <samplerate min="32000"/>
      <if test="audioenc.aac3gpp.container" value="AAC">
        <extname>aac</extname>
      </if>
      <if test="audioenc.aac3gpp.container" value="MP4">
        <extname>m4a</extname>
      </if>
      <arg>- "$(DestFileAudio)" $(AudioBitrate*1K) $(SampleRate)</arg>
      <if channels="2">
        <arg key="audioenc.aac3gpp.ps">2|2p</arg>
      </if>
      <ifnot channels="2">
        <arg>$(Channels)</arg>
      </ifnot>
    </encoder>
    <encoder name="FAAC">
      <input type="pcm"/>
      <bitrate key="audioenc.faac.bitrate" min="16" max="256"/>
      <path key="audioenc.faac.path"/>
      <if test="audioenc.faac.container" value="AAC">
        <extname>aac</extname>
      </if>
      <if test="audioenc.faac.container" value="MP4">
        <extname>m4a</extname>
      </if>
      <arg key="audioenc.faac.version">--mpeg-vers 2|--mpeg-vers 4</arg>
      <arg key="audioenc.faac.object" prefix="--obj-type">Main|LC|SSR|LTP</arg>
      <arg key="audioenc.faac.tns">--tns</arg>
      <arg key="audioenc.faac.noMidSide">--no-midside</arg>
      <arg key="audioenc.faac.blockType" prefix="--shortctl"/>
      <if test="audioenc.faac.mode" value="Quality">
        <arg key="audioenc.faac.quality" prefix="-q"/>
      </if>
      <if test="audioenc.faac.mode" value="Bitrate">
        <arg>-b $(AudioBitrate)</arg>
      </if>
      <if test="audioenc.faac.container" value="MP4">
        <arg>-w</arg>
        <if tagging="true">
          <arg>--title "$(Title)" --artist "$(Artist)" --album "$(Album)" --track "$(Track)" --year "$(Year)" --genre "$(Genre)" --comment "$(Comment)"</arg>
        </if>
      </if>
      <arg key="audioenc.faac.options"/>
      <arg>-P -X -R $(SampleRate) -B $(SampleBits) -C $(Channels) -o "$(DestFileAudio)" -</arg>
    </encoder>
    <encoder name="Nero Encoder">
      <keybase>audioenc.nero</keybase>
      <bitrate key="audioenc.nero.bitrate" min="16"/>
      <path key="audioenc.nero.path"/>
      <extname>m4a</extname>
      <verinfo begin="*" end="ERROR:"/>
      <arg key="audioenc.nero.hint">-hinttrack</arg>
      <if test="audioenc.nero.autoProfile" value="false">
        <if test="overall.audio.format" value="LC-AAC">
          <arg>-lc</arg>  
        </if>
        <if test="overall.audio.format" value="HE-AAC">
          <arg>-he</arg>
        </if>
        <if test="overall.audio.format" value="HE-AAC V2">
          <arg>-hev2</arg>
        </if>
      </if>
      <if test="audioenc.nero.mode" value="Target Quality">
        <arg key="audioenc.nero.quality" ratio="0.01" prefix="-q"/>
      </if>
      <if test="audioenc.nero.mode" value="Target Bitrate">
        <arg>-br $(AudioBitrate*1K)</arg>
      </if>
      <if test="audioenc.nero.mode" value="CBR">
        <arg>-cbr $(AudioBitrate*1K)</arg>
      </if>
      <arg key="audioenc.nero.options"/>
      <arg>-ignorelength -if - -of "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="QAAC">
      <input type="pcm" tag="true"/>
      <verinfo end="Usage"/>
      <extname>m4a</extname>
      <bitrate key="audioenc.qaac.bitrate" min="16" max="256"/>
      <path key="audioenc.qaac.path"/>
      <arg>--raw --raw-rate $(SampleRate) --raw-channel $(Channels) --raw-format S$(SampleBits)L</arg>
      <if test="overall.audio.format" value="HE-AAC">
        <arg>--he</arg>
      </if>
      <ifnot test="audioenc.qaac.alac" value="true">
        <if test="audioenc.qaac.mode" value="CBR">
          <arg key="audioenc.qaac.bitrate">--cbr </arg>
        </if>
        <if test="audioenc.qaac.mode" value="ABR">
          <arg key="audioenc.qaac.bitrate">--abr </arg>
        </if>
        <if test="audioenc.qaac.mode" value="CVBR">
          <arg key="audioenc.qaac.bitrate">--cvbr </arg>
        </if>
        <if test="audioenc.qaac.mode" value="VBR">
          <arg key="audioenc.qaac.quality">--tvbr </arg>
        </if>
        <arg key="audioenc.qaac.encodingQuality">-q </arg>
      </ifnot>
      <arg key="audioenc.qaac.alac">--alac</arg>
      <arg key="audioenc.qaac.adts">--adts</arg>
      <arg key="audioenc.qaac.threading">--threading</arg>
      <if tagging="true">
        <arg>--title "$(Title)" --artist "$(Artist)" --album "$(Album)" --track "$(Track)" --date "$(Year)" --genre "$(Genre)" --comment "$(Comment)"</arg>
      </if>
      <arg>- -o "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="WM Encoder">
      <keybase>videoenc.wm</keybase>
      <extname>wma</extname>
      <input type="pcm" tag="true"/>
      <path key="videoenc.wm.path"/>
      <arg>-m 2</arg>
      <arg key="videoenc.wm.audioMode">-amode </arg>
      <arg key="videoenc.wm.audioBuffer">-abuffer </arg>
      <arg key="videoenc.wm.audioCodec">-acodec </arg>
      <arg key="videoenc.wm.audioFormat">-aformat </arg>
      <if tagging="true">
        <arg>-title "$(Title)" -author "$(Artist)" -comment "$(Comment)"</arg>
      </if>
      <arg>-srate $(SampleRate) -channels $(Channels) -ai - -o "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="Helix MP3">
      <bitrate key="audioenc.helixmp3.bitrate"/>
      <path key="audioenc.helixmp3.path"/>
      <extname>mp3</extname>
      <arg>- "$(DestFileAudio)" -D</arg>
      <arg key="audioenc.helixmp3.stereo">-M</arg>
      <arg key="audioenc.helixmp3.filtering">-S0|-S1"</arg>
      <arg key="audioenc.helixmp3.highFreq">-HF</arg>
      <arg key="audioenc.helixmp3.sse">-u2</arg>
      <arg key="audioenc.helixmp3.options"/>
      <if test="audioenc.helixmp3.mode" value="VBR">
        <arg key="audioenc.helixmp3.quality">-V</arg>
      </if>
      <if test="audioenc.helixmp3.mode" value="CBR">
        <if test="audioenc.helixmp3.bitrate" value="0">
          <arg>-B-1</arg>
        </if>
        <ifnot test="audioenc.helixmp3.bitrate" value="0">
          <arg>-B$(AudioBitrate)</arg>
        </ifnot>
      </if>
    </encoder>
    <encoder name="Fraunhofer MP3">
      <bitrate key="audioenc.fraunhofer.bitrate"/>
      <path key="audioenc.fraunhofer.path"/>
      <input type="pcm" tag="true"/>
      <verinfo begin="*" end="Error"/>
      <extname>mp3</extname>
      <arg>-raw -sr $(SampleRate) -c $(Channels) -res $(SampleBits) -if - -of "$(DestFileAudio)"</arg>
      <arg key="audioenc.fraunhofer.mode">-m </arg>
      <arg key="audioenc.fraunhofer.downmix">-mono</arg>
      <arg key="audioenc.fraunhofer.quality">-q </arg>
      <if test="audioenc.fraunhofer.mode" value="CBR">
        <arg>-br $(AudioBitrate*1K)</arg>
      </if>
      <ifnot test="audioenc.fraunhofer.mode" value="CBR">
        <arg>-br 0</arg>
        <arg key="audioenc.fraunhofer.vbri">-vbri</arg>
      </ifnot>
      <if tagging="true">
        <arg>-Title "$(Title)" -Artist "$(Artist)" -Album "$(Album)" -Year "$(Year)" -Track "$(Track)" -Genre "$(Genre)"</arg>
      </if>
      <arg key="audioenc.fraunhofer.options"/>
    </encoder>
    <encoder name="MusePack">
      <verinfo end="Usage"/>
      <extname>mpc</extname>
      <path key="audioenc.musepack.path"/>
      <arg key="audioenc.musepack.profile">--telephone|--thumb|--radio|--standard|--xtreme|--insane|--braindead</arg>
      <if tagging="true">
        <arg>--title "$(Title)" --artist "$(Artist)" --album "$(Album)" --year "$(Year)" --track "$(Track)" --genre "$(Genre)"</arg>
      </if>
      <arg>--silent - "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="FFmpeg">
      <verinfo arg="-version"/>
      <input type="pcm"/>
      <bitrate key="audioenc.ffmpeg.bitrate"/>
      <path key="audioenc.ffmpeg.path"/>
      <arg>-f s$(SampleBits)le -ac $(Channels) -ar $(SampleRate) -i -</arg>
      <if test="overall.audio.format" value="MP3">
        <arg>-f mp3 -c:a libmp3lame</arg>
        <extname>mp3</extname>
      </if>
      <if test="overall.audio.format" value="Vorbis">
        <arg>-f ogg -c:a vorbis</arg>
        <extname>ogg</extname>
      </if>
      <if test="overall.audio.format" value="LC-AAC">
        <arg>-f aac -c:a aac</arg>
        <extname>aac</extname>
      </if>
      <if test="overall.audio.format" value="WMA 7">
        <arg>-f asf -c:a wmav1</arg>
        <extname>wma</extname>
      </if>
      <if test="overall.audio.format" value="WMA 8">
        <arg>-f asf -c:a wmav2</arg>
        <extname>wma</extname>
      </if>
      <if test="overall.audio.format" value="AC-3">
        <arg>-f ac3 -c:a ac3</arg>
        <extname>ac3</extname>
      </if>
      <if test="overall.audio.format" value="DTS">
        <arg>-f dts -c:a dts</arg>
        <extname>ac3</extname>
      </if>
      <if test="overall.audio.format" value="MP2">
        <arg>-f mp2 -c:a mp2</arg>
        <extname>mp2</extname>
      </if>
      <if test="overall.audio.format" value="Speex">
        <arg>-c:a libspeex</arg>
        <extname>spx</extname>
      </if>
      <if test="overall.audio.format" value="PCM">
        <arg>-f wav -c:a pcm_s16le</arg>
        <extname>wav</extname>
      </if>
      <if test="overall.audio.format" value="FLAC">
        <arg>-f flac -c:a flac</arg>
        <extname>flac</extname>
      </if>
      <if test="overall.audio.format" value="ALAC">
        <arg>-c:a alac</arg>
        <extname>m4a</extname>
      </if>
      <if test="overall.audio.format" value="ADPCM">
        <arg>-c:a adpcm_ima_wav</arg>
        <extname>wav</extname>
      </if>
      <if test="overall.audio.format" value="E-AC3">
        <arg>-c:a eac3</arg>
        <extname>eac3</extname>
      </if>
      <if test="overall.audio.format" value="DTS">
        <arg>-c:a dts</arg>
        <extname>dts</extname>
      </if>
      <if test="overall.audio.format" value="TrueHD">
        <arg>-c:a truehd</arg>
        <extname>thd</extname>
      </if>
      <if test="overall.task.mode" value="Streaming">
        <if test="overall.streaming.protocol" value="RTP">
          <arg>-f rtp</arg>
        </if>
      </if>
      <if tagging="true">
        <arg>-metadata title="$(Title)" -metadata author="$(Artist)" -metadata comment="$(Comment)"</arg>
      </if>
      <ifnot tagging="true">
        <arg>-metadata title="MediaCoder"</arg>
      </ifnot>
      <arg>-b:a $(AudioBitrate*1K) -y "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="MEncoder">
      <input type="pcm"/>
      <path key="audioenc.mencoder.path"/>
      <arg>- -audio-preload 0 -audio-demuxer rawaudio -rawaudio channels=$(Channels):rate=$(SampleRate) -of rawaudio -ovc frameno</arg>
      <if test="overall.audio.format" value="MP3">
        <keybase>audioenc.lame</keybase>
        <extname>mp3</extname>
        <arg>-oac mp3lame -lameopts</arg>
        <arg key="audioenc.lame.aq">aq=</arg>
        <ifnot test="audioenc.lame.preset" value="Custom">
          <arg key="audioenc.lame.preset" prefix=":preset=">|medium|standard|extreme|phone|voice|tape|hifi|cd|studio|insane</arg>
        </ifnot>
        <if test="audioenc.lame.preset" value="Custom">
          <if test="audioenc.lame.mode" value="VBR">
            <arg>:vbr=2</arg>
            <arg key="audioenc.lame.quality">:q=</arg>
          </if>
          <if test="audioenc.lame.mode" value="ABR">
            <arg key="audioenc.lame.bitrate">:abr:br=</arg>
          </if>
          <if test="audioenc.lame.mode" value="CBR">
            <arg key="audioenc.lame.bitrate">:cbr:br=</arg>
          </if>
        </if>
      </if>
      <if test="overall.audio.format" value="LC-AAC">
        <extname>aac</extname>
        <arg>-oac faac -faacopts</arg>
        <arg key="audioenc.faac.version">mpeg=2|mpeg=4</arg>
        <arg key="audioenc.faac.object" prefix=":object=">1|2|3|4</arg>
        <arg key="audioenc.faac.tns">:tns</arg>
        <if test="audioenc.faac.mode" value="Quality">
          <arg key="audioenc.faac.quality" prefix=":quality="/>
        </if>
        <if test="audioenc.faac.mode" value="Bitrate">
          <arg key="audioenc.faac.bitrate" prefix=":br="/>
        </if>
      </if>
      <ifnot test="audiofilter.resample.samplerate" value="0">
        <arg key="audiofilter.resample.samplerate">-af resample=</arg>
      </ifnot>
      <if test="overall.audio.format" value="Waveform">
        <arg>-oac pcm</arg>
      </if>
      <if test="overall.audio.copy" value="Copy">
        <arg>-oac copy</arg>
      </if>
      <arg>-o "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="Speex">
      <verinfo arg="-v"/>
      <bitrate key="audioenc.speex.bitrate"/>
      <input type="pcm"/>
      <extname>spx</extname>
      <path key="audioenc.speex.path"/>
      <arg>--le --rate $(SampleRate) --$(SampleBits)bit - "$(DestFileAudio)"</arg>
      <if channels="2">
        <arg>--stereo</arg>
      </if>
      <if test="audioenc.speex.bandwidth" value="Auto">
        <if samplerate="~8000">
          <arg>-n</arg>
        </if>
        <if samplerate="8000~16000">
          <arg>-w</arg>
        </if>
        <if samplerate="16000~">
          <arg>-u</arg>
        </if>
      </if>
      <ifnot test="audioenc.speex.bandwidth" value="Auto">
        <arg key="audioenc.speex.bandwidth">|-n|-w|-u</arg>
      </ifnot>
      <if test="audioenc.speex.mode" value="VBR">
        <arg>--vbr</arg>
        <arg key="audioenc.speex.maxrate">--vbr-max-bitrate </arg>
      </if>
      <if test="audioenc.speex.mode" value="ABR">
        <arg>--abr $(AudioBitrate)</arg>
      </if>
      <if test="audioenc.speex.mode" value="CBR">
        <arg key="audioenc.speex.vad">--vad</arg>
        <arg key="audioenc.speex.bitrate" prefix="--bitrate"/>
      </if>
      <arg key="audioenc.speex.quality" prefix="--quality"/>
      <arg key="audioenc.speex.dtx">--dtx</arg>
      <arg key="audioenc.speex.aq" prefix="--comp"/>
      <arg key="audioenc.speex.nframes" prefix="--nframes"/>
      <arg key="audioenc.speex.denoise">--denoise</arg>
      <arg key="audioenc.speex.agc">--agc</arg>
        <arg key="audioenc.speex.options"/>
      <if tagging="true">
        <arg>--title "$(Title)" --author "$(Artist)" --comment Album="$(Album)"</arg>
      </if>
    </encoder>
    <encoder name="AMR">
      <input type="pcm" tag="true"/>
      <extname>amr</extname>
      <samplerate min="8000" max="16000"/>
      <if test="audioenc.amr.codec" value="AMR-NB">
        <path key="audioenc.amr.pathnb"/>
        <arg key="audioenc.amr.dtx">-dtx</arg>
        <arg key="audioenc.amr.modenb">MR475|MR515|MR59|MR67|MR74|MR795|MR102|MR122</arg>
      </if>
      <if test="audioenc.amr.codec" value="AMR-WB">
        <path key="audioenc.amr.pathwb"/>
        <arg key="audioenc.amr.dtx">-dtx</arg>
        <arg key="audioenc.amr.modewb"/>
      </if>
      <arg key="audioenc.amr.options"/>
      <arg>- "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="Opus Encoder">
      <verinfo arg="-v"/>
      <bitrate key="audioenc.opus.bitrate"/>
      <input type="pcm"/>
      <extname>opus</extname>
      <path key="audioenc.opus.path"/>
      <arg key="audioenc.opus.bitrate" prefix="--bitrate "/>
      <arg key="audioenc.opus.ratemode">--vbr|--cvbr|--cbr</arg>
      <if tagging="true">
        <arg>--title "$(Title)" --artist "$(Artist)"</arg>
      </if>
      <arg>--raw  --raw-rate $(SampleRate) --raw-bits $(SampleBits) --raw-chan $(Channels) - "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="Stream Dumper">
      <path key="videosrc.mplayer.path"/>
      <input type="file"/>
      <extname>dump</extname>
      <arg>"$(SourceFile)" -quiet -vo null -vc null -dumpaudio -dumpfile "$(DestFileAudio)"</arg>
      <if tagging="true"/>
    </encoder>
    <encoder name="ALS">
      <path key="audioenc.als.path"/>
      <verinfo arg="-h"/>
      <extname>als</extname>
      <arg key="audioenc.als.adaptive">-a</arg>
      <arg key="audioenc.als.dualStereo">-i</arg>
      <arg key="audioenc.als.ltp">-p</arg>
      <arg key="audioenc.als.predict">-o </arg>
      <arg key="audioenc.als.rlsmls">-z </arg>
      <arg key="audioenc.als.options"/>
      <arg>-v -R -F$(SampleRate) -W$(SampleBits) -C$(Channels) - "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="FLAC">
      <keybase>audioenc.flac</keybase>
      <path key="audioenc.flac.path"/>
      <verinfo begin="flac -" end="This program"/>
      <extname>flac</extname>
      <input type="pcm" tag="true"/>
      <arg>-o -s -f --force-raw-format --endian=little --channels=$(Channels) --bps=$(SampleBits) --sample-rate=$(SampleRate) --sign=signed</arg>
      <arg key="audioenc.flac.exhaustive">-e</arg>
      <arg key="audioenc.flac.maxlpc">-l</arg>
      <arg key="audioenc.flac.level">--compression-level-</arg>
      <if tagging="true">
        <arg>--tag=TITLE="$(Title)" --tag=ARTIST="$(Artist)" --tag=ALBUM="$(Album)" --tag=DATE="$(Year)" --tag=TRACKNUMBER=$(Track)  --tag=GENRE="$(Genre)" --tag=COMMENT="$(Comment)"</arg>
      </if>
      <arg>- -o "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="WavPack">
      <verinfo end="Usage"/>
      <path key="audioenc.wavpack.path"/>
      <extname>wv</extname>
      <arg key="audioenc.wavpack.best">-h</arg>
      <arg key="audioenc.wavpack.extra">-x</arg>
      <if test="audioenc.wavpack.hybrid" value="true">
        <arg key="audioenc.wavpack.bitrate">-b</arg>
        <arg key="audioenc.wavpack.correction">-c</arg>
      </if>
      <arg key="audioenc.wavpack.options"/>
      <if tagging="true">
        <arg>-w "Title=$(Title)" -w "Artist=$(Artist)" -w "Album=$(Album)" -w "Year=$(Year)" -w "Track=$(Track)" -w "Genre=$(Genre)" -w "Comment=$(Comment)"</arg>
      </if>
      <arg>-i - -o "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="MP3HD">
      <bitrate key="audioenc.mp3hd.bitrate"/>
      <path key="audioenc.mp3hd.path"/>
      <input tag="true"/>
      <verinfo begin="*" end="Error"/>
      <extname>mp3</extname>
      <arg>-if - -of "$(DestFileAudio)"</arg>
      <if test="audioenc.mp3hd.mode" value="CBR">
        <arg>-br $(AudioBitrate*1K)</arg>
      </if>
      <ifnot test="audioenc.mp3hd.mode" value="CBR">
        <arg key="audioenc.mp3hd.mode">-mode </arg>
      </ifnot>
      <if tagging="true">
        <arg>-Title "$(Title)" -Artist "$(Artist)" -Album "$(Album)" -Year "$(Year)" -Track "$(Track)" -Genre "$(Genre)"</arg>
      </if>
      <arg key="audioenc.mp3hd.options"/>
    </encoder>
    <encoder name="TTA">
      <keybase>audioenc.tta</keybase>
      <input type="file"/>
      <path key="audioenc.tta.path"/>
      <verinfo arg="-v"/>
      <extname>tta</extname>
      <arg key="audioenc.tta.wave">-x</arg>
      <arg key="audioenc.tta.options"/>
      <arg>-e "$(SourceFile)" -o "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="OptimFROG">
      <keybase>audioenc.ofr</keybase>
      <input type="file"/>
      <path key="audioenc.ofr.path"/>
      <extname>ofr</extname>
      <arg key="audioenc.ofr.mode" prefix="--mode">fast|normal|highnew|extranew|bestnew</arg>
      <arg key="audioenc.ofr.options"/>
      <arg>"$(SourceFile)" --output "$(DestFileAudio)"</arg>
    </encoder>
    <encoder name="lossyWAV">
      <keybase>audioenc.lossywav</keybase>
      <path key="audioenc.lossywav.path"/>
      <verinfo arg="-v"/>
      <extname>wav</extname>
      <arg>- -o "$(DestDir)" -f</arg>
      <arg key="audioenc.lossywav.quality">--insane|--extreme|--standard|--portable</arg>
      <arg key="audioenc.lossywav.correction">-C</arg>
      <arg key="audioenc.lossywav.dither">-D </arg>
      <arg key="audioenc.lossywav.limit">-l </arg>
      <arg key="audioenc.lossywav.scale">--scale </arg>
      <arg key="audioenc.lossywav.shaping">-s </arg>
      <arg key="audioenc.lossywav.options"/>
    </encoder>
  </audio>
</codecs>
